> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cartesia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# ボイスをクローン



## OpenAPI

````yaml 2024-11-13/api.yml POST /voices/clone
openapi: 3.0.1
info:
  title: Cartesia API
  version: '2024-11-13'
servers:
  - url: https://api.cartesia.ai
    description: Production
security: []
paths:
  /voices/clone:
    post:
      tags:
        - Voices
      summary: Clone Voice
      operationId: voices_clone
      parameters:
        - $ref: '#/components/parameters/CartesiaVersionHeader'
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                clip:
                  type: string
                  format: binary
                  description: >-
                    See [Clone
                    Voices](/build-with-cartesia/capability-guides/clone-voices)
                    for guidance on choosing a clip.


                    Supported audio formats: `flac`, `mp3`, `mpeg`, `mpga`,
                    `oga`, `ogg`, `wav`, `webm`
                name:
                  type: string
                  description: The name of the voice.
                description:
                  description: A description for the voice.
                  type: string
                  nullable: true
                language:
                  $ref: '#/components/schemas/SupportedLanguage'
                  description: The language of the voice.
                base_voice_id:
                  $ref: '#/components/schemas/VoiceId'
                  description: >-
                    Optional base voice ID that the cloned voice is derived
                    from.
                  nullable: true
                mode:
                  type: string
                  enum:
                    - similarity
                    - stability
                  deprecated: true
                  description: No longer used
                enhance:
                  description: >-
                    Whether to apply AI enhancements to the clip to reduce
                    background noise. This leads to cleaner generated speech at
                    the cost of reduced similarity to the source clip.
                  type: boolean
                  nullable: true
                  deprecated: true
              required:
                - clip
                - name
                - language
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VoiceMetadata'
      security:
        - ApiKeyAuth: []
components:
  parameters:
    CartesiaVersionHeader:
      name: Cartesia-Version
      in: header
      description: API version header.
      required: true
      schema:
        type: string
        format: date
        example: '2024-11-13'
        enum:
          - '2024-11-13'
  schemas:
    SupportedLanguage:
      title: SupportedLanguage
      type: string
      enum:
        - en
        - fr
        - de
        - es
        - pt
        - zh
        - ja
        - hi
        - it
        - ko
        - nl
        - pl
        - ru
        - sv
        - tr
      description: The language that the given voice should speak the transcript in.
    VoiceId:
      title: VoiceId
      type: string
      description: The ID of the voice.
    VoiceMetadata:
      title: VoiceMetadata
      type: object
      properties:
        id:
          $ref: '#/components/schemas/VoiceId'
        user_id:
          type: string
          description: The ID of the user who owns the voice.
        is_public:
          type: boolean
          description: Whether the voice is publicly accessible.
        name:
          type: string
          description: The name of the voice.
        description:
          type: string
          description: The description of the voice.
        created_at:
          type: string
          format: date-time
          description: The date and time the voice was created.
        language:
          $ref: '#/components/schemas/VoiceLanguage'
      required:
        - id
        - user_id
        - is_public
        - name
        - description
        - created_at
        - language
    VoiceLanguage:
      type: string
      description: The voice's language, as an ISO 639-1 code (e.g. `en`, `fr`, `zh`)
      example: en
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````